module Splicer
  module NoOpProvider

    class Provider < Splicer::Provider
      def create_zone(zone)
        Splicer.logger.debug "[SPLICER][NOOP] #create_zone zone=#{zone.inspect}"
        true
      end

      def update_zone(zone)
        Splicer.logger.debug "[SPLICER][NOOP] #update_zone zone=#{zone.inspect}"
        true
      end

      def rewrite_zone(zone)
        Splicer.logger.debug "[SPLICER][NOOP] #rewrite_zone zone=#{zone.inspect}"
        true
      end

      def delete_zone(zone)
        Splicer.logger.debug "[SPLICER][NOOP] #delete_zone zone=#{zone.inspect}"
        true
      end

      def delete_record_in_zone(record, zone)
        Splicer.logger.debug "[SPLICER][NOOP] #delete_record_in_zone record=#{record.inspect} zone=#{zone.inspect}"
        true
      end

      def update_record_in_zone(record, zone)
        Splicer.logger.debug "[SPLICER][NOOP] #update_record_in_zone record=#{record.inspect} zone=#{zone.inspect}"
        true
      end

      def create_record_in_zone(record, zone)
        Splicer.logger.debug "[SPLICER][NOOP] #create_record_in_zone record=#{record.inspect} zone=#{zone.inspect}"
        true
      end
    end

  end
end
